<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 11/6/2018
 * Time: 10:39 PM
 */

include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['id_propietario']) && isset($_REQUEST['id_propiedad'])) {
            $idPropiedad = $_REQUEST['id_propiedad'];
            $propiedad = R::load('propiedad', $idPropiedad);
            $propiedad->id_propietario = $_REQUEST['id_propietario'];
            $id = R::store($propiedad);
            include '../comun/mensajeModificado.php';
        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}